Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls
Class BackingContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.BackingContext

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WindowBackingContext

public abstract class BackingContext
extends ControlContext

The control framework provides instances of subclasses of `BackingContext` during actions and in backing files.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Constructor Summary
`protected` | `BackingContext(com.bea.netuix.nf.UIControl control)`

Method Summary
`List` | `getChildrenBackingContexts()` Return a List of BackingContexts belonging to the children of the control this BackingContext represents that are BackableControls.
`static ControlContext` | `getContextFromRequest(Class type, HttpServletRequest request)` Returns `ControlContext` for the given HTTP request.
`BackingContext` | `getParentBackingContext()` Get the BackingContext of the first ancestor that has one.
`BackingContext` | `getTopParentBackingContext()` Get the BackingContext of the upper most BackableControl in the tree.
`boolean` | `isBackingPhase()` Are we in the backing phase.
`boolean` | `isVisible()` Return the value of the underlying control's `visible` attribute.
`protected void` | `setBackingPhase(boolean backingPhase)`
`void` | `setVisible(boolean visible)`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextKey, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackingContext

    protected BackingContext(com.bea.netuix.nf.UIControl control)

Method Detail

### isVisible

    public boolean isVisible()

  Return the value of the underlying control's `visible` attribute.

  Returns:
    a boolean, the value of the underlying control's `visible` attribute.

### setVisible

    public void setVisible(boolean visible)

### getParentBackingContext

    public BackingContext getParentBackingContext()

  Get the BackingContext of the first ancestor that has one.

  Returns:
    the BackingContext of the first ancestor that is a BackableControl. If there are no BackableControls among the ancestors return null.

### getTopParentBackingContext

    public BackingContext getTopParentBackingContext()

  Get the BackingContext of the upper most BackableControl in the tree.

  Returns:
    the BackingContext of the upper most ancestor that is a BackableControl. If there are no BackableControls among the ancestors return null.

### getChildrenBackingContexts

    public List getChildrenBackingContexts()

  Return a List of BackingContexts belonging to the children of the control this BackingContext represents that are BackableControls. Note this method returns BackingContexts belonging to the immediate children only, anotherwords its not a "deep" list of the children.

### getContextFromRequest

    public static ControlContext getContextFromRequest(Class type,
                                                       HttpServletRequest request)

  Returns `ControlContext` for the given HTTP request.

  Parameters:
    `type` - type of control context
    `request` - HTTP request
  Returns:
    control context

### isBackingPhase

    public boolean isBackingPhase()

  Are we in the backing phase. This method returns true during every lifecycle except `render`.

  Returns:
    return true if we are in the backing phase of the lifecycle.

### setBackingPhase

    protected void setBackingPhase(boolean backingPhase)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved